package org.jvnet.jaxbcommons.xml.bind.util;

import java.util.List;

import com.sun.xml.bind.util.ListImpl;

public class ParentSettingListImpl extends ListImpl {

	private static final long serialVersionUID = 1L;

	public ParentSettingListImpl(List core) {
		super(core);
	}

	public void setParent(Object element) {
	}

	public void removeParent(Object element) {
	}

	public void add(int index, Object newElement) {
		super.add(index, newElement);
		setParent(newElement);
	}

	public Object set(int index, Object newElement) {
		final Object oldElement = super.set(index, newElement);
		setParent(newElement);
		removeParent(oldElement);
		return oldElement;
	}

	public Object remove(int index) {
		final Object oldElement = super.remove(index);
		removeParent(oldElement);
		return oldElement;
	}

}
